Freeciv-3.3: genhash Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
genhash Struct Reference

## Data Fields

struct genhash_entry ** | buckets
genhash_val_fn_t | key_val_func
genhash_comp_fn_t | key_comp_func
genhash_copy_fn_t | key_copy_func
genhash_free_fn_t | key_free_func
genhash_copy_fn_t | data_copy_func
genhash_free_fn_t | data_free_func
size_t | num_buckets
size_t | num_entries
bool | no_shrink

## Detailed Description

Definition at line 83 of file genhash.c.

## Field Documentation

## ◆ buckets

struct genhash_entry** genhash::buckets

Definition at line 84 of file genhash.c.

## ◆ data_copy_func

genhash_copy_fn_t genhash::data_copy_func

Definition at line 89 of file genhash.c.

Referenced by genhash_new_full(), genhash_new_nbuckets(), and genhash_new_nentries_full().

## ◆ data_free_func

genhash_free_fn_t genhash::data_free_func

Definition at line 90 of file genhash.c.

Referenced by genhash_new_full(), genhash_new_nbuckets(), and genhash_new_nentries_full().

## ◆ key_comp_func

genhash_comp_fn_t genhash::key_comp_func

Definition at line 86 of file genhash.c.

Referenced by genhash_new(), genhash_new_full(), genhash_new_nbuckets(), genhash_new_nentries(), and genhash_new_nentries_full().

## ◆ key_copy_func

genhash_copy_fn_t genhash::key_copy_func

Definition at line 87 of file genhash.c.

Referenced by genhash_new_full(), genhash_new_nbuckets(), and genhash_new_nentries_full().

## ◆ key_free_func

genhash_free_fn_t genhash::key_free_func

Definition at line 88 of file genhash.c.

Referenced by genhash_new_full(), genhash_new_nbuckets(), and genhash_new_nentries_full().

## ◆ key_val_func

genhash_val_fn_t genhash::key_val_func

Definition at line 85 of file genhash.c.

Referenced by genhash_new(), genhash_new_full(), genhash_new_nbuckets(), genhash_new_nentries(), and genhash_new_nentries_full().

## ◆ no_shrink

bool genhash::no_shrink

Definition at line 93 of file genhash.c.

## ◆ num_buckets

size_t genhash::num_buckets

Definition at line 91 of file genhash.c.

Referenced by genhash_new_nbuckets().

## ◆ num_entries

size_t genhash::num_entries

Definition at line 92 of file genhash.c.